> ## Documentation Index
> Fetch the complete documentation index at: https://docs.qonto.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve the authenticated organization and list bank accounts

> OAuth scope: `organization.read`



Retrieves the details and the list of bank accounts for the authenticated organization.



The bank account's `id` or `iban` will be required to retrieve the list of transactions inside that bank account, using [GET /v2/transactions](/api-reference/business-api/transactions-statements/transactions/list-transactions).

<Info>
  Migrating from `GET /v1/organizations/{slug}` or `GET /v2/organizations/{slug}`? See the [migration guide](/api-reference/business-api/accounts-organizations/organizations/migrate-from-deprecated-organization-endpoints). Both endpoints will be sunset on September 15, 2026.
</Info>


## OpenAPI

````yaml get /v2/organization
openapi: 3.1.1
info:
  version: v2
  title: Qonto
servers:
  - url: https://thirdparty.qonto.com
    description: Production URL
  - url: https://thirdparty-sandbox.staging.qonto.co
    description: Sandbox URL
security:
  - OAuth:
      - organization.read
      - membership.read
      - membership.write
      - attachment.write
      - internal_transfer.write
      - payment.write
      - supplier_invoice.write
      - supplier_invoice.read
      - client_invoices.read
      - client_invoice.write
      - client.read
      - client.write
      - product.read
      - product.write
      - request_review.write
      - request_review.read
      - team.read
      - team.write
      - request_transfers.write
      - insurance_contract.read
      - insurance_contract.write
      - card.read
      - card.write
      - bank_account.write
      - beneficiary.trust
      - webhook
      - payment_link.write
      - payment_link.read
      - sepa_direct_debit.read
      - sepa_direct_debit.write
      - terminal.read
      - terminal.write
  - SecretKey: []
paths:
  /v2/organization:
    get:
      tags:
        - Organizations
      summary: Retrieve the authenticated organization and list bank accounts
      description: >-
        OAuth scope: `organization.read`




        Retrieves the details and the list of bank accounts for the
        authenticated organization.




        The bank account's `id` or `iban` will be required to retrieve the list
        of transactions inside that bank account, using [GET
        /v2/transactions](/api-reference/business-api/transactions-statements/transactions/list-transactions).
      parameters:
        - $ref: '#/components/parameters/X-Qonto-Staging-Token'
        - name: include_external_accounts
          in: query
          description: >-
            By default includes only Qonto accounts. Set to 'true' if you also
            want to include your [connected externals
            account(s)](https://support-fr.qonto.com/hc/en-us/articles/24231375285777-How-to-connect-my-external-accounts-to-my-Qonto-interface).
          schema:
            type: boolean
            default: false
      responses:
        '200':
          description: >-
            Returns the details and the list of bank accounts for the
            authenticated organization.
          content:
            application/json:
              schema:
                type: object
                properties:
                  organization:
                    type: object
                    properties:
                      id:
                        type: string
                        description: UUID of the organization.
                      name:
                        type: string
                        description: Name of the organization.
                      slug:
                        type: string
                        description: Slug based on organization's legal name.
                        example: elektro-tesla-gmbh-3066
                      legal_name:
                        type:
                          - string
                          - 'null'
                        description: Registered name of the organization.
                        example: Elektro Tesla GmbH
                      locale:
                        type: string
                        description: Default language set for the organization.
                        example: de
                      legal_share_capital:
                        type: number
                        description: Informed share capital, expressed in euros.
                        example: 1000
                      legal_country:
                        type: string
                        description: Country of incorporation of the organization.
                        example: DE
                      legal_registration_date:
                        type:
                          - string
                          - 'null'
                        description: Date of incorporation of the organization.
                        example: '2022-11-27'
                      legal_form:
                        type: string
                        description: Legal formation of the organization.
                        example: GmbH
                      legal_address:
                        type: string
                        description: Address of the organization.
                        example: Fritz-Arnold-Str. 18 85614 Kirchseeon GERMANY
                      legal_sector:
                        type:
                          - string
                          - 'null'
                        description: Code of the organization's activity sector.
                        example: 6200Z
                      contract_signed_at:
                        type: string
                        description: Date and time, in UTC, the account was opened.
                        format: date-time
                        example: '2022-12-01 08:57:00.123047'
                      legal_number:
                        type:
                          - string
                          - 'null'
                        description: 'Unique number of registration (e.g.: SIRET in France).'
                        example: 12A34FC5
                      bank_accounts:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                              description: UUID of the bank account.
                              example: 018f71db-c635-78b5-b90a-ea05de98c2bf
                            slug:
                              type: string
                              description: >-
                                Slug of the bank account based on the organ's
                                slug.
                            iban:
                              type: string
                              description: >-
                                Might be empty for external accounts (i.e. when
                                `is_external_accounts == true`).
                              example: FR7616798000010000005663951
                            bic:
                              type: string
                              description: >-
                                Might be empty for external accounts (i.e. when
                                `is_external_accounts == true`).
                            currency:
                              type: string
                              description: Currency of the bank account.
                              example: EUR
                            balance:
                              type: number
                              description: Actual amount of money on the account, in euros.
                              format: float
                            balance_cents:
                              type: integer
                              description: Actual amount of money on the account, in euros.
                            authorized_balance:
                              type: number
                              description: >-
                                Amount available for payments, taking into
                                account transactions that are being processed.
                                [More information
                                here](https://support.qonto.com/hc/en-us/articles/115000493249-How-is-the-balance-of-my-account-calculated-).
                              format: float
                            authorized_balance_cents:
                              type: integer
                              description: >-
                                Amount available for payments, taking into
                                account transactions that are being processed.
                                [More information
                                here](https://support.qonto.com/hc/en-us/articles/115000493249-How-is-the-balance-of-my-account-calculated-).
                            name:
                              type: string
                              description: Name of the bank account.
                            updated_at:
                              type: string
                              description: >-
                                Date and time, in UTC, of the last update of the
                                bank account.
                              example: '2024-07-02T08:25:11.155Z'
                            status:
                              type: string
                              enum:
                                - active
                                - closed
                              description: Status of the bank account.
                            main:
                              type: boolean
                              description: >-
                                Sets to`true` if the bank account is used for
                                billing. There is only one main account in a
                                given organization.
                            is_external_account:
                              type: boolean
                              description: >-
                                Sets to `true` if the bank account is not a
                                Qonto account (cf.
                                https://support-fr.qonto.com/hc/en-us/articles/24231375285777-How-to-connect-my-external-accounts-to-my-Qonto-interface).
                            account_number:
                              type:
                                - string
                                - 'null'
                              description: >-
                                Might be empty for Qonto accounts (i.e. when
                                `is_external_account == false`).
              examples:
                Default:
                  value:
                    organization:
                      id: cb47875a-9b12-416e-aa9a-265b9dfaeee7
                      slug: elektro-tesla-gmbh-3066
                      legal_name: Elektro Tesla GmbH
                      legal_number: 12A34FC5
                      legal_sector: 6200Z
                      legal_registration_date: '2022-11-27'
                      legal_address: Fritz-Arnold-Str. 18 85614 Kirchseeon GERMANY
                      legal_form: GmbH
                      legal_country: DE
                      legal_share_capital: 1000
                      locale: de
                      contract_signed_at: '2022-12-01 08:57:00.123047'
                      bank_accounts:
                        - slug: super-bankaccount-5785
                          iban: FR7616798000010000005663951
                          bic: TRZOFR21XXX
                          currency: EUR
                          balance: 100
                          balance_cents: 10000
                          authorized_balance: 100
                          authorized_balance_cents: 10000
                          name: Main account
                          updated_at: '2021-03-23T14:00:46.967Z'
                          status: active
                          main: true
                Only Qonto bank accounts:
                  value:
                    organization:
                      id: 3e29cef2-4808-421e-8c99-e83306c5e0ec
                      name: Coopérative Boulangère Sud
                      slug: cooperative-boulangere-sud-2161
                      legal_name: Coopérative Boulangère Sud
                      locale: fr
                      legal_share_capital: 0
                      legal_country: FR
                      legal_registration_date: '2001-10-10'
                      legal_form: SAS
                      legal_address: 18 Rue De Navarin Chez Wework 75009 Paris FRANCE
                      legal_sector: 6200Z
                      contract_signed_at: '2023-07-17T16:13:41.370Z'
                      legal_number: '81948962600039'
                      bank_accounts:
                        - id: 27e7e433-453c-4c32-bd3f-6802ae05940e
                          slug: cooperative-boulangere-sud-2161-bank-account-3
                          iban: FR7616958000013622273207472
                          bic: QNTOFRP1XXX
                          currency: EUR
                          balance: 1
                          balance_cents: 100
                          authorized_balance: 121
                          authorized_balance_cents: 12100
                          name: Placements
                          updated_at: '2024-07-02T08:25:11.155Z'
                          status: active
                          main: false
                          is_external_account: false
                          account_number: ''
                        - id: 6dadba1e-a3a9-40eb-ba99-64532dbe56bc
                          slug: cooperative-boulangere-sud-2161-bank-account-2
                          iban: FR7616958000012102312621849
                          bic: QNTOFRP1XXX
                          currency: EUR
                          balance: 0
                          balance_cents: 0
                          authorized_balance: 0
                          authorized_balance_cents: 0
                          name: Secondary account
                          updated_at: '2023-10-13T15:23:31.360Z'
                          status: closed
                          main: false
                          is_external_account: false
                          account_number: ''
                        - id: e97d6e4b-8179-47ae-88e9-3e43b230251e
                          slug: cooperative-boulangere-sud-2161-bank-account-1
                          iban: FR7616958000018615533841513
                          bic: QNTOFRP1XXX
                          currency: EUR
                          balance: 41995921.54
                          balance_cents: 4199592154
                          authorized_balance: 41989694.29
                          authorized_balance_cents: 4198969429
                          name: Compte principal
                          updated_at: '2024-08-01T10:35:09.089Z'
                          status: active
                          main: true
                          is_external_account: false
                          account_number: ''
                Includes external banks accounts:
                  value:
                    organization:
                      id: 3e29cef2-4808-421e-8c99-e83306c5e0ec
                      name: Coopérative Boulangère Sud
                      slug: cooperative-boulangere-sud-2161
                      legal_name: Coopérative Boulangère Sud sandbox 2023-07-25T08:52:59Z
                      locale: fr
                      legal_share_capital: 0
                      legal_country: FR
                      legal_registration_date: '2001-10-10'
                      legal_form: SAS
                      legal_address: 18 Rue De Navarin Chez Wework 75009 Paris FRANCE
                      legal_sector: 6200Z
                      contract_signed_at: '2023-07-17T16:13:41.370Z'
                      legal_number: '81948962600039'
                      bank_accounts:
                        - id: 27e7e433-453c-4c32-bd3f-6802ae05940e
                          slug: cooperative-boulangere-sud-2161-bank-account-3
                          iban: FR7616958000013622273207472
                          bic: QNTOFRP1XXX
                          currency: EUR
                          balance: 1
                          balance_cents: 100
                          authorized_balance: 121
                          authorized_balance_cents: 12100
                          name: Placements
                          updated_at: '2024-07-02T08:25:11.155Z'
                          status: active
                          main: false
                          is_external_account: false
                          account_number: ''
                        - id: 6dadba1e-a3a9-40eb-ba99-64532dbe56bc
                          slug: cooperative-boulangere-sud-2161-bank-account-2
                          iban: FR7616958000012102312621849
                          bic: QNTOFRP1XXX
                          currency: EUR
                          balance: 0
                          balance_cents: 0
                          authorized_balance: 0
                          authorized_balance_cents: 0
                          name: Secondary account
                          updated_at: '2023-10-13T15:23:31.360Z'
                          status: closed
                          main: false
                          is_external_account: false
                          account_number: ''
                        - id: e97d6e4b-8179-47ae-88e9-3e43b230251e
                          slug: cooperative-boulangere-sud-2161-bank-account-1
                          iban: FR7616958000018615533841513
                          bic: QNTOFRP1XXX
                          currency: EUR
                          balance: 41995921.54
                          balance_cents: 4199592154
                          authorized_balance: 41989694.29
                          authorized_balance_cents: 4198969429
                          name: Compte principal
                          updated_at: '2024-08-01T10:35:09.089Z'
                          status: active
                          main: true
                          is_external_account: false
                          account_number: ''
                        - id: 0191221f-2452-735f-9144-bff2ca4fa8a4
                          slug: cooperative-boulangere-sud-2161-bank-account-4
                          iban: FR802043302626N265296869145
                          bic: ''
                          currency: EUR
                          balance: 9.02
                          balance_cents: 902
                          authorized_balance: 9.02
                          authorized_balance_cents: 902
                          name: Main Account Compte courant
                          updated_at: '2024-08-05T10:39:13.000Z'
                          status: active
                          main: false
                          is_external_account: true
                          account_number: 0263765d-8d0e-41f0-a025-9dd2ed891507
        '400':
          $ref: '#/components/responses/400-Bad-request'
        '401':
          $ref: '#/components/responses/401-Unauthorized'
        '403':
          $ref: '#/components/responses/403-Forbidden'
        '500':
          $ref: '#/components/responses/500-Internal-Server-Error'
      security:
        - OAuth:
            - organization.read
        - SecretKey: []
components:
  parameters:
    X-Qonto-Staging-Token:
      name: X-Qonto-Staging-Token
      in: header
      description: >-
        Required only for Sandbox API requests; to get one, please sign up to
        the [Developer Portal](https://developers.qonto.com/).
      schema:
        type: string
  responses:
    400-Bad-request:
      description: Returns a bad request error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/BadRequestResponseBody'
          examples:
            Authorization field missing:
              value:
                errors:
                  - code: bad_request
                    detail: Authorization field missing
    401-Unauthorized:
      description: Returns an unauthorized error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/UnauthorizedResponseBody'
          examples:
            authorization_header_missing:
              value:
                errors:
                  - code: authorization_header_missing
                    detail: authorization header missing
            authorization_token_invalid:
              value:
                errors:
                  - code: authorization_token_invalid
                    detail: authorization token invalid
    403-Forbidden:
      description: Returns a forbidden error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ForbiddenResponseBody'
          examples:
            Insufficient permissions:
              value:
                errors:
                  - code: forbidden
                    detail: User does not have sufficient permissions for this action.
    500-Internal-Server-Error:
      description: Returns an internal server error.
  schemas:
    BadRequestResponseBody:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/BadRequestError'
      required:
        - errors
    UnauthorizedResponseBody:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/UnauthorizedError'
      required:
        - errors
    ForbiddenResponseBody:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ForbiddenError'
      required:
        - errors
    BadRequestError:
      type: object
      properties:
        code:
          type: string
          description: Error code.
        detail:
          type: string
          description: Human readable error that explains error `code`.
        source:
          type: object
          properties:
            pointer:
              type: string
              description: >-
                The property in the request body that caused the error
                (optional).
            parameter:
              type: string
              description: The query parameter that caused the error (optional).
      required:
        - code
        - detail
      x-examples:
        Authorization field missing:
          code: bad_request
          detail: Authorization field missing
    UnauthorizedError:
      type: object
      properties:
        code:
          type: string
          description: Error code.
        detail:
          type: string
          description: Human readable error that explains error `code`.
      required:
        - code
        - detail
      x-examples:
        Invalid credentials:
          code: unauthorized
          detail: Invalid credentials
    ForbiddenError:
      type: object
      properties:
        code:
          type: string
          description: Error code.
        detail:
          type: string
          description: Human readable error that explains error `code`.
      required:
        - code
        - detail
      x-examples:
        Insufficient permissions:
          code: forbidden
          detail: User does not have sufficient permissions for this action.
  securitySchemes:
    OAuth:
      type: oauth2
      description: >
        Bearer authorization header: `Bearer <token>`, where `<token>` is the
        access token received from the authorization server at the end of the
        [OAuth 2.0
        flow](/get-started/business-api/authentication/oauth/oauth-flow).
      flows:
        authorizationCode:
          refreshUrl: https://oauth.qonto.com/oauth2/token
          authorizationUrl: https://oauth.qonto.com/oauth2/auth
          scopes:
            attachment.read: Retrieve attachments
            attachment.write: Upload attachments and remove attachments from transactions
            bank_account.write: Create, update and close bank accounts
            beneficiary.trust: Trust SEPA beneficiaries
            card.read: Retrieve cards
            card.write: Create or update cards
            client.read: Retrieve clients
            client.write: Create clients
            client_invoice.write: Create client invoices
            client_invoices.read: Retrieve client invoices and credit notes
            einvoicing.read: Retrieve e-invoicing settings
            embed_auth_link.write: Create Embed auth links
            insurance_contract.read: Retrieve insurance contracts
            insurance_contract.write: Create and update insurance contracts
            internal_transfer.write: >-
              Create internal transfers (between 2 Qonto accounts of the same
              organization)
            international_transfer.write: Create international transfers
            membership.read: Retrieve the authentified membership
            membership.write: Invite team members
            offline_access: Retrieve a refresh token
            organization.read: >-
              Retrieve organization, bank accounts, transactions, transfers,
              beneficiaries, labels, memberships, requests & statements
            payment.write: Create external transfers and untrust beneficiaries
            payment_link.read: >-
              Retrieve payment links, their payments, and the available payment
              methods
            payment_link.write: >-
              Connect to the payment links provider, create and deactivate
              payment links
            product.read: Retrieve products
            product.write: Create products
            request_cards.write: Create card requests
            request_review.write: Approve or decline requests
            request_transfers.write: Create transfer requests
            sepa_direct_debit.read: View SEPA Direct Debit payments
            sepa_direct_debit.write: Manage SEPA Direct Debit payments
            supplier_invoice.read: Retrieve supplier invoices
            supplier_invoice.write: Create supplier invoices
            team.read: Retrieve teams
            team.write: Create teams
            terminal.read: View your payment terminals
            terminal.write: Configure your terminals and initiate payments
            webhook: >-
              Receive a notification each time a particular event occurs in
              Qonto
          tokenUrl: https://oauth.qonto.com/oauth2/token
    SecretKey:
      type: apiKey
      description: cf. [API key](/get-started/business-api/authentication/api-key)
      name: Authorization
      in: header

````